package kaysaar.aotd_question_of_loyalty.data.intel;

import com.fs.starfarer.api.impl.campaign.intel.events.RemnantNexusActivityCause;
import com.fs.starfarer.api.impl.campaign.intel.events.SindrianDiktatStandardActivityCause;
import kaysaar.aotd_question_of_loyalty.data.intel.eventfactors.monthly.AoTDSindrianDiktatHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.LuddicChurchStandardActivityCause;
import kaysaar.aotd_question_of_loyalty.data.intel.eventfactors.monthly.AoTDLuddicChurchHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.TriTachyonStandardActivityCause;
import kaysaar.aotd_question_of_loyalty.data.intel.eventfactors.monthly.AoTDTriTachyonHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.StandardPerseanLeagueActivityCause;
import kaysaar.aotd_question_of_loyalty.data.intel.eventfactors.monthly.AoTDPerseanLeagueHostileActivityFactor;
import kaysaar.aotd_question_of_loyalty.data.intel.eventfactors.monthly.AoTDHegemonyHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.StandardLuddicPathActivityCause2;
import com.fs.starfarer.api.impl.campaign.intel.events.LuddicPathAgreementHostileActivityCause2;
import kaysaar.aotd_question_of_loyalty.data.intel.eventfactors.monthly.AoTDLuddicPathHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.KantasWrathPirateActivityCause2;
import com.fs.starfarer.api.impl.campaign.intel.events.PirateBasePirateActivityCause2;
import com.fs.starfarer.api.impl.campaign.intel.events.StandardPirateActivityCause2;
import com.fs.starfarer.api.impl.campaign.intel.events.HostileActivityCause2;
import com.fs.starfarer.api.impl.campaign.intel.events.BaseHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.KantasProtectionPirateActivityCause2;
import kaysaar.aotd_question_of_loyalty.data.intel.eventfactors.monthly.AoTDPirateHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.HABlowbackFactor;
import kaysaar.aotd_question_of_loyalty.data.intel.eventfactors.monthly.CommisionProtectionFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.HAShipsDestroyedFactorHint;
import com.fs.starfarer.api.impl.campaign.intel.events.EventFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.HAColonyDefensesFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.RemnantHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.HegemonyHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.SindrianDiktatHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.LuddicChurchHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.TriTachyonHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.PerseanLeagueHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.LuddicPathHostileActivityFactor;
import com.fs.starfarer.api.impl.campaign.intel.events.PirateHostileActivityFactor;
import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.impl.campaign.intel.events.BaseEventIntel;
import com.fs.starfarer.api.impl.campaign.intel.events.HostileActivityEventIntel;

public class AoTDHostileActivity extends HostileActivityEventIntel
{
    protected void setup() {
        boolean minorCompleted = false;
        BaseEventIntel.EventStageData minor = this.getDataFor((Object)HostileActivityEventIntel.Stage.MINOR_EVENT);
        if (minor != null) {
            minorCompleted = minor.wasEverReached;
        }
        this.factors.clear();
        this.stages.clear();
        this.setMaxProgress(AoTDHostileActivity.MAX_PROGRESS);
        this.addStage((Object)HostileActivityEventIntel.Stage.START, 0);
        this.addStage((Object)HostileActivityEventIntel.Stage.MINOR_EVENT, 300, BaseEventIntel.StageIconSize.MEDIUM);
        this.addStage((Object)HostileActivityEventIntel.Stage.HA_EVENT, 600, true, BaseEventIntel.StageIconSize.LARGE);
        this.setRandomized((Object)HostileActivityEventIntel.Stage.MINOR_EVENT, BaseEventIntel.RandomizedStageType.BAD, 200, 250, false, false);
        this.setRandomized((Object)HostileActivityEventIntel.Stage.HA_EVENT, BaseEventIntel.RandomizedStageType.BAD, 425, 500, false);
        minor = this.getDataFor((Object)HostileActivityEventIntel.Stage.MINOR_EVENT);
        if (minor != null) {
            minor.wasEverReached = minorCompleted;
        }
        Global.getSector().getListenerManager().removeListenerOfClass((Class)PirateHostileActivityFactor.class);
        Global.getSector().getListenerManager().removeListenerOfClass((Class)LuddicPathHostileActivityFactor.class);
        Global.getSector().getListenerManager().removeListenerOfClass((Class)PerseanLeagueHostileActivityFactor.class);
        Global.getSector().getListenerManager().removeListenerOfClass((Class)TriTachyonHostileActivityFactor.class);
        Global.getSector().getListenerManager().removeListenerOfClass((Class)LuddicChurchHostileActivityFactor.class);
        Global.getSector().getListenerManager().removeListenerOfClass((Class)SindrianDiktatHostileActivityFactor.class);
        Global.getSector().getListenerManager().removeListenerOfClass((Class)HegemonyHostileActivityFactor.class);
        Global.getSector().getListenerManager().removeListenerOfClass((Class)RemnantHostileActivityFactor.class);
        this.addFactor((EventFactor)new HAColonyDefensesFactor());
        this.addFactor((EventFactor)new HAShipsDestroyedFactorHint());
        this.addFactor((EventFactor)new CommisionProtectionFactor());
        this.addFactor((EventFactor)new HABlowbackFactor());
        final AoTDPirateHostileActivityFactor pirate = new AoTDPirateHostileActivityFactor((HostileActivityEventIntel)this);
        this.addActivity((BaseHostileActivityFactor)pirate, (HostileActivityCause2)new KantasProtectionPirateActivityCause2((HostileActivityEventIntel)this));
        this.addActivity((BaseHostileActivityFactor)pirate, (HostileActivityCause2)new StandardPirateActivityCause2((HostileActivityEventIntel)this));
        this.addActivity((BaseHostileActivityFactor)pirate, (HostileActivityCause2)new PirateBasePirateActivityCause2((HostileActivityEventIntel)this));
        this.addActivity((BaseHostileActivityFactor)pirate, (HostileActivityCause2)new KantasWrathPirateActivityCause2((HostileActivityEventIntel)this));
        final LuddicPathHostileActivityFactor path = (LuddicPathHostileActivityFactor)new AoTDLuddicPathHostileActivityFactor((HostileActivityEventIntel)this);
        this.addActivity((BaseHostileActivityFactor)path, (HostileActivityCause2)new LuddicPathAgreementHostileActivityCause2((HostileActivityEventIntel)this));
        this.addActivity((BaseHostileActivityFactor)path, (HostileActivityCause2)new StandardLuddicPathActivityCause2((HostileActivityEventIntel)this));
        final AoTDHegemonyHostileActivityFactor factor = new AoTDHegemonyHostileActivityFactor((HostileActivityEventIntel)this);
        this.addActivity((BaseHostileActivityFactor)new AoTDPerseanLeagueHostileActivityFactor((HostileActivityEventIntel)this), (HostileActivityCause2)new StandardPerseanLeagueActivityCause((HostileActivityEventIntel)this));
        this.addActivity((BaseHostileActivityFactor)new AoTDTriTachyonHostileActivityFactor((HostileActivityEventIntel)this), (HostileActivityCause2)new TriTachyonStandardActivityCause((HostileActivityEventIntel)this));
        this.addActivity((BaseHostileActivityFactor)new AoTDLuddicChurchHostileActivityFactor((HostileActivityEventIntel)this), (HostileActivityCause2)new LuddicChurchStandardActivityCause((HostileActivityEventIntel)this));
        this.addActivity((BaseHostileActivityFactor)new AoTDSindrianDiktatHostileActivityFactor((HostileActivityEventIntel)this), (HostileActivityCause2)new SindrianDiktatStandardActivityCause((HostileActivityEventIntel)this));
        this.addActivity((BaseHostileActivityFactor)new RemnantHostileActivityFactor((HostileActivityEventIntel)this), (HostileActivityCause2)new RemnantNexusActivityCause((HostileActivityEventIntel)this));
    }
}
